Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampUnit::TestStringListener Class Reference

文字列リスナ More...

`#include <TestStringListener.h>`

Inheritance diagram for LampUnit::TestStringListener:

List of all members.

## Public Member Functions
| TestStringListener (const char *fileName="UnitTestLog.txt")
| コンストラクタ
virtual | ~TestStringListener ()
| デストラクタ
virtual void | startTest (Test *test)
| テスト開始
virtual void | addFailure (const TestFailure &failure)
| 失敗の追加
virtual void | endTest (Test *test)
| テスト終了
virtual void | print (const char *string)
| 出力
virtual void | printFormat (const char *format,...)
| フォーマット出力

## Detailed Description

文字列リスナ

Definition at line 40 of file TestStringListener.h.

## Constructor & Destructor Documentation

LampUnit::TestStringListener::TestStringListener | ( | const char * | fileName = "UnitTestLog.txt" | ) |

  | コンストラクタ Parameters:
  fileName | ログファイル名。NULLだとログを残しません。
Definition at line 35 of file TestStringListener.cpp.

## Member Function Documentation

void LampUnit::TestStringListener::addFailure | ( | const TestFailure & | failure | ) | `[virtual]`

  | 失敗の追加 メソッド終了後でもfailureの情報が必要な場合はfailureをコピーする。 Parameters:
  failure | 失敗したテストの情報
Reimplemented from LampUnit::TestListener. Definition at line 55 of file TestStringListener.cpp. References print(), printFormat(), and LampUnit::TestFailure::toString().

void LampUnit::TestStringListener::endTest | ( | Test * | test | ) | `[virtual]`

  | テスト終了 Parameters:
  test | 終了するテスト
Reimplemented from LampUnit::TestListener. Definition at line 61 of file TestStringListener.cpp.

void LampUnit::TestStringListener::print | ( | const char * | string | ) | `[virtual]`

  | 出力 Parameters:
  string | 出力文字列
Definition at line 65 of file TestStringListener.cpp. Referenced by addFailure(), printFormat(), and startTest().

void LampUnit::TestStringListener::printFormat | ( | const char * | format,
|  | ... |
| ) | `[virtual]`

  | フォーマット出力 可変長引数に対応したデバッグ出力メソッド。 Parameters:
  format | フォーマット
  ... | 可変長引数
Returns: 出力文字数 Definition at line 75 of file TestStringListener.cpp. References print(). Referenced by addFailure().

void LampUnit::TestStringListener::startTest | ( | Test * | test | ) | `[virtual]`

  | テスト開始 Parameters:
  test | 開始するテスト
Reimplemented from LampUnit::TestListener. Definition at line 48 of file TestStringListener.cpp. References print().

The documentation for this class was generated from the following files:

- TestStringListener.h
- TestStringListener.cpp